#Ignore Directories
/vivado/**
/vivado-essentials/**

#Unignore Directories (Needed to unignore files in Subdirectories)
!*/

#WHITELIST
#Vivado Project File
!*.xpr
#Block Design
!*.bd

!system.v
!xillydemo.xdc
!showstopper.tcl

#Unignore .XCI Files (Only in First subdirectory)
!/vivado-essentials/*/*.xci

#Unignore Vivado IP Repo
!/vivado-essentials/vivado-ip/**